Subject: [bug#56200] Kernel 5.18 update

From: Leo Famulari <[email-masked]>
Date: Fri, 24 Jun 2022 14:49:49 -0400

On Fri, Jun 24, 2022 at 06:25:57PM +0000, John Kehayias via Guix-patches via wrote:
> Hi Leo,
> 
> Thanks for taking care of the kernel updates! I recently hit a needed config option for OpenCL/ROCm support with my hardware, please see https://issues.guix.gnu.org/55111
> 
> In short, we used to have this option and it was changed (not sure why, or if it just fell through the cracks). Would it be possible to enable it? Any possible downsides?

Huh, I don't know why it was disabled. AMD_GPU is not really supported
by linux-libre if I understand correctly, but many people use these
configs with other kernel variants so we might as well turn it on.

Are you able to apply my patches, make the change (I assume only for the
x86_64 config?) and send a version 2?